/* extension.js
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 */
/* exported init */

const { WindowMenu } = imports.ui.windowMenu;

class Extension {
    constructor() {
        this._originalBuildMenu = WindowMenu.prototype._buildMenu;
    }

    enable() {
        let init = this;
        WindowMenu.prototype._buildMenu = function(window) {
            init._originalBuildMenu.call(this, window);
            
            let items = this._getMenuItems();

            // Remove "Take screenshot" off the window menu
            items[0].destroy();

            // Move "Take screenshot" just below the "Resize" button
            //this.moveMenuItem(items[0],4);

            // Move "Take screenshot" just above the "Close" button
            // Note: The separator line above the Close button counts as an item
            //this.moveMenuItem(items[0],items.length-3);
        };
    }

    disable() {
        WindowMenu.prototype._buildMenu = this._originalBuildMenu;
    }
}

function init() {
    return new Extension();
}
